/**
 * Copyright (C) 2006  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.runtime.impl;

import java.util.List;

import org.ow2.bonita.facade.runtime.ActivityBody;
import org.ow2.bonita.facade.runtime.AutomaticBody;
import org.ow2.bonita.facade.uuid.AutomaticBodyUUID;
import org.ow2.novabpm.util.Misc;
import org.ow2.novabpm.util.Misc.NullCheckResult;


public class AutomaticBodyImpl extends ActivityBodyImpl implements AutomaticBody {

  protected AutomaticBodyImpl() {
    super();
  }

  public AutomaticBodyImpl(AutomaticBodyUUID automaticBodyUUID) {
    super(automaticBodyUUID);
    NullCheckResult checkResult = Misc.findNull(automaticBodyUUID);
    if (checkResult.hasNull()) {
      List<String> message = Misc.getStringFrom(checkResult, "automaticBodyUUID");
      throw new IllegalArgumentException("These arguments are null: " + message);
    }
  }

  /**
   * @param processDefinitionUUID
   * @param deploymentId
   */
  public AutomaticBodyImpl(final AutomaticBody automaticBody) {
    super(automaticBody);
  }

  public ActivityBody copy() {
    return new AutomaticBodyImpl(this);
  }

  @Override
  public AutomaticBodyUUID getUUID() {
    return (AutomaticBodyUUID) super.getUUID();
  }

}


