package org.ow2.bonita.facade.runtime.impl;

import java.util.Date;

import org.ow2.bonita.facade.runtime.TaskState;
import org.ow2.bonita.facade.runtime.Update;


public abstract class UpdateImpl implements Update {

  protected long dbid;
  protected Date date;
  /**
   * date at update
   */
  protected TaskState state;
  /**
   * User that performs the update
   */
  protected String updateUserId;

  protected UpdateImpl() {
  }
  
  public UpdateImpl(Date date, TaskState state, String updateUserId) {
    this.date = date;
    this.state = state;
    this.updateUserId = updateUserId;
  }
  
  public UpdateImpl(Update src) {
    this.date = src.getUpdatedDate();
    this.state = src.getTaskState();
    this.updateUserId = src.getUpdatedBy();
  }
  
  public Date getUpdatedDate() {
    return date;
  }

  public TaskState getTaskState() {
    return state;
  }

  public String getUpdatedBy() {
    return updateUserId;
  }
}
