/**
 * Copyright (C) 2007  Bull S. A. S.
 * Bull, Rue Jean Jaures, B.P.68, 78340, Les Clayes-sous-Bois
 * This library is free software; you can redistribute it and/or modify it under the terms
 * of the GNU Lesser General Public License as published by the Free Software Foundation
 * version 2.1 of the License.
 * This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Lesser General Public License for more details.
 * You should have received a copy of the GNU Lesser General Public License along with this
 * program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth
 * Floor, Boston, MA  02110-1301, USA.
 **/
package org.ow2.bonita.facade.runtime.impl;

import java.util.Date;

import org.ow2.bonita.facade.runtime.VariableUpdate;


/**
 * @author Guillaume Porcher
 *
 */
public class VariableUpdateImpl implements VariableUpdate {


  protected Date date;
  protected String userId;
  protected String name;
  protected Object value;
  
  protected VariableUpdateImpl() { }

  public VariableUpdateImpl(Date date, String userId, String variableId) {
    super();
    this.date = date;
    this.userId = userId;
    this.name = variableId;
  }


  public VariableUpdateImpl(VariableUpdate src) {
    this.date = src.getDate();
    this.userId = src.getUserId();
    this.value = src.getValue();
    this.name = src.getName();
  }
  
  public Date getDate() {
    return date;
  }

  public String getName() {
    return name;
  }

  public String getUserId() {
    return userId;
  }

  public Object getValue() {
    return value;
  }
}
